%define upstream_name    File-DataClass
%define upstream_version 0.26.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Structured data file IO with OO paradigm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CHI) >= 0.330.0
BuildRequires: perl(Cache::FastMmap) >= 1.360.0
BuildRequires: perl(Carp)
BuildRequires: perl(Class::Null) >= 1.90.0
BuildRequires: perl(Date::Format) >= 2.220.0
BuildRequires: perl(Encode) >= 2.120.0
BuildRequires: perl(Exception::Class) >= 1.230.0
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::pushd)
BuildRequires: perl(File::Temp) >= 0.200.0
BuildRequires: perl(Hash::Merge) >= 0.80.0
BuildRequires: perl(IO::Dir) >= 1.50.0
BuildRequires: perl(IO::File) >= 1.130.0
BuildRequires: perl(IPC::Cmd) >= 0.680.0
BuildRequires: perl(JSON) >= 2.160.0
BuildRequires: perl(Lingua::EN::NameParse) >= 1.280.0
BuildRequires: perl(MealMaster) >= 0.280.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Moose) >= 2.40.200
BuildRequires: perl(MooseX::ClassAttribute) >= 0.260.0
BuildRequires: perl(MooseX::Types) >= 0.250.0
BuildRequires: perl(MooX::Augment)
BuildRequires: perl(MooX::ClassStash)
BuildRequires: perl(Scalar::Util) >= 1.180.0
BuildRequires: perl(Sub::Exporter) >= 0.982.0
BuildRequires: perl(Template) >= 2.180.0
BuildRequires: perl(Template::Stash) >= 2.900.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More) >= 0.740.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Text::Diff) >= 1.370.0
BuildRequires: perl(Text::Wrap) >= 2005.82.401
BuildRequires: perl(Try::Tiny) >= 0.60.0
BuildRequires: perl(Unexpected::Types)
BuildRequires: perl(XML::Bare) >= 0.300.0
BuildRequires: perl(XML::DTD) >= 0.90.0
BuildRequires: perl(XML::Simple) >= 2.140.0
BuildRequires: perl(namespace::autoclean) >= 0.130.0
BuildRequires: perl(namespace::clean) >= 0.220.0
BuildRequires: perl(namespace::sweep)
BuildRequires: perl(overload) >= 1.40.0
BuildRequires: perl(parent) >= 0.224.0
BuildRequires: perl(utf8) >= 1.60.0
BuildRequires: perl(version) >= 0.740.0

BuildConflicts: cpanminus

BuildArch:  noarch

%description
Provides methods for manipulating structured data stored in files of
different formats.

The documentation for this distribution starts in the class
File::DataClass::Schema.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor

./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.26.1-2.mga4
+ Revision: 537801
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.26.1-1.mga4
+ Revision: 487792
- update to 0.26.1

* Sun Sep 08 2013 sander85 <sander85> 0.25.1-1.mga4
+ Revision: 476077
- update to 0.25.1

* Mon Aug 19 2013 sander85 <sander85> 0.24.3-1.mga4
+ Revision: 467732
- update to 0.24.3

* Wed Aug 14 2013 sander85 <sander85> 0.24.1-1.mga4
+ Revision: 466360
- update to 0.24.1

* Wed Aug 07 2013 sander85 <sander85> 0.23.2-1.mga4
+ Revision: 464446
- update to v0.23.2

* Tue Aug 06 2013 sander85 <sander85> 0.23.1-1.mga4
+ Revision: 464278
- update to v0.23.1

* Sun Aug 04 2013 sander85 <sander85> 0.22.9-1.mga4
+ Revision: 463415
- update to v0.22.9

* Wed Jul 31 2013 sander85 <sander85> 0.22.8-1.mga4
+ Revision: 461680
- update to v0.22.8

* Wed Jul 31 2013 sander85 <sander85> 0.22.7-1.mga4
+ Revision: 461476
- update to v0.22.7

* Tue Jul 30 2013 sander85 <sander85> 0.22.5-1.mga4
+ Revision: 461132
- update to v0.22.5

* Mon Jul 29 2013 sander85 <sander85> 0.22.4-1.mga4
+ Revision: 460629
- update to v0.22.4

* Mon Jul 29 2013 sander85 <sander85> 0.22.3-1.mga4
+ Revision: 460579
- update to v0.22.3

* Sun Jul 28 2013 sander85 <sander85> 0.22.1-1.mga4
+ Revision: 459890
- update to v0.22.1

* Sun Jan 13 2013 umeabot <umeabot> 0.13.418-2.mga3
+ Revision: 367151
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.13.418-1.mga3
+ Revision: 317663
- update to 0.13.418

* Wed Nov 07 2012 jquelin <jquelin> 0.13.416-1.mga3
+ Revision: 315735
- update to 0.13.416

* Sun Oct 21 2012 jquelin <jquelin> 0.12.409-1.mga3
+ Revision: 308911
- adding missing buildrequires:
- imported package perl-File-DataClass


* Sun Oct 21 2012 cpan2dist 0.12.409-1mga
- initial mageia release, generated with cpan2dist
